--- title: "DeleteProductSchema" slug: "management-cloudinsight-deletechema" tags: ["Cloud Insight"] updated: 2026-09-17T10:05:41Z published: 2026-09-17T10:05:41Z canonical: "api.ncloud-docs.com/management-cloudinsight-deletechema" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # DeleteProductSchema Available in Classic and VPC Delete user-defined schema. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | DELETE | /cw_fea/real/cw/api/schema | ### Request headers For information about the headers common to all Cloud Insight APIs, see [Cloud Insight request headers](/docs/en/management-cloudinsight#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `cw_key` | String | Required | Product key (cw_key) - See [Cloud Insight metrics](/docs/en/management-cloudinsight-productinfo) | | `prodName` | Strng | Required | Product name - See [Cloud Insight metrics](/docs/en/management-cloudinsight-productinfo) | ### Request example The request example is as follows: ``` curl --location --request DELETE 'https://cw.apigw.ntruss.com/cw_fea/real/cw/api/schema?cw_key=**********&prodName=Custom/MyProduct' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response status codes For response status codes common to NAVER Cloud Platform, see [Cloud Insight API response status codes](/docs/en/management-cloudinsight#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example If the response is successful, the user-defined schema is deleted along with the message `200 OK`.